Bug 1213053 - Backport {Haswell,Broadwell}-noTSX cpu models
Summary: Backport {Haswell,Broadwell}-noTSX cpu models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1218673 1229432
TreeView+ depends on / blocked
 
Reported: 2015-04-18 08:07 UTC by Haruka Iwao
Modified: 2015-06-21 00:15 UTC (History)
10 users (show)

Fixed In Version: qemu-2.1.3-8.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1229432 (view as bug list)
Environment:
Last Closed: 2015-06-21 00:15:47 UTC


Attachments (Terms of Use)

Description Haruka Iwao 2015-04-18 08:07:54 UTC
Description of problem:

As bug 1182650 says, Haswell and Broadwell processors are patched to disable TSX instructions according to erratum released by Intel. This introduces VM incompatibility between Haswell processors with TSX and without TSX when explicitly specified as cpumodel='Haswell'. The upstream qemu introduced new cpu models, Haswell-noTSX and Broadwell-noTSX namely to address this issue.
Bug 1182650 fixes the problem in the libvirt part. This bug intends to address qemu.

Here's a link to the upstream commit:
http://git.qemu.org/?p=qemu.git;a=commitdiff;h=a356850b80b3d13b2ef737dad2acb05e6da03753

Comment 1 Fedora Update System 2015-06-06 14:04:02 UTC
qemu-2.1.3-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qemu-2.1.3-8.fc21

Comment 2 Fedora Update System 2015-06-07 16:02:47 UTC
Package qemu-2.1.3-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-2.1.3-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9599/qemu-2.1.3-8.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-06-21 00:15:47 UTC
qemu-2.1.3-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.